curl "https://api.stableyard.fi/v2/accounts/acc_1234567890" \
-H "Authorization: Bearer sy_secret_*"
{
"object": "account",
"id": 12,
"accountId": "acc_1234567890",
"addresses": [
{
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9",
"chainType": "evm",
"isPrimary": true,
"label": null
}
],
"username": "alice",
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 137,
"token": "USDC",
"destination": "wallet"
},
"fiat": null
},
"vault": {
"isActive": false,
"address": null,
"proxyModuleAddress": null,
"chain": null,
"activatedAt": null
},
"kyc": {
"isActive": false,
"status": "none",
"applicantId": null,
"activatedAt": null
},
"apiKeys": {
"secretKey": "sy_secret_xxx",
"publicKey": "sy_pub_xxx",
"testSecretKey": "sy_test_secret_xxx",
"testPublicKey": "sy_test_pub_xxx",
"webhookSecret": ""
},
"metadata": {},
"createdAt": "2026-03-18T10:20:30.000Z",
"updatedAt": "2026-03-18T10:20:30.000Z",
"paymentAddress": "alice@stableyard",
"livemode": false,
"requestId": "req_abc123"
}
Retrieve full account details
curl "https://api.stableyard.fi/v2/accounts/acc_1234567890" \
-H "Authorization: Bearer sy_secret_*"
{
"object": "account",
"id": 12,
"accountId": "acc_1234567890",
"addresses": [
{
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9",
"chainType": "evm",
"isPrimary": true,
"label": null
}
],
"username": "alice",
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 137,
"token": "USDC",
"destination": "wallet"
},
"fiat": null
},
"vault": {
"isActive": false,
"address": null,
"proxyModuleAddress": null,
"chain": null,
"activatedAt": null
},
"kyc": {
"isActive": false,
"status": "none",
"applicantId": null,
"activatedAt": null
},
"apiKeys": {
"secretKey": "sy_secret_xxx",
"publicKey": "sy_pub_xxx",
"testSecretKey": "sy_test_secret_xxx",
"testPublicKey": "sy_test_pub_xxx",
"webhookSecret": ""
},
"metadata": {},
"createdAt": "2026-03-18T10:20:30.000Z",
"updatedAt": "2026-03-18T10:20:30.000Z",
"paymentAddress": "alice@stableyard",
"livemode": false,
"requestId": "req_abc123"
}
sy_secret_* | sy_auth_*
acc_1234567890)curl "https://api.stableyard.fi/v2/accounts/acc_1234567890" \
-H "Authorization: Bearer sy_secret_*"
{
"object": "account",
"id": 12,
"accountId": "acc_1234567890",
"addresses": [
{
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9",
"chainType": "evm",
"isPrimary": true,
"label": null
}
],
"username": "alice",
"settlement": {
"mode": "crypto",
"crypto": {
"chain": 137,
"token": "USDC",
"destination": "wallet"
},
"fiat": null
},
"vault": {
"isActive": false,
"address": null,
"proxyModuleAddress": null,
"chain": null,
"activatedAt": null
},
"kyc": {
"isActive": false,
"status": "none",
"applicantId": null,
"activatedAt": null
},
"apiKeys": {
"secretKey": "sy_secret_xxx",
"publicKey": "sy_pub_xxx",
"testSecretKey": "sy_test_secret_xxx",
"testPublicKey": "sy_test_pub_xxx",
"webhookSecret": ""
},
"metadata": {},
"createdAt": "2026-03-18T10:20:30.000Z",
"updatedAt": "2026-03-18T10:20:30.000Z",
"paymentAddress": "alice@stableyard",
"livemode": false,
"requestId": "req_abc123"
}